(function() {
  $("#invalidateKey").live('click', function() {
  var regenerateUrl = $(this).data('regenerateUrl');
    var buttonAction = function () {
      $(".modal[role='dialog']").modal("hide");
      $.post(regenerateUrl, function (data) {
        $("#tokenContent").html(data);
      });
    };
    var body = 'This will invalidate the current REST API key. Are you sure you want to regenerate the key?';
    var options = {
      buttonsWrapperClass: 'reversed',
      buttonClass: 'btn',
      buttonCloseClass: 'btn-danger',
      buttonCloseText: 'Cancel'
    };
    LS.openModal('Confirm', body, 'Ok', buttonAction, options);
  });

  $('a[data-form-ref]').click(function(evt) {
    evt.preventDefault();
    var formSelector = $(this).data().formRef;
    $(formSelector).submit();
    return false;
  });

  $("form[name='editReportingConsent'] input:radio").change(consentFormChanged);

  function consentFormChanged(event) {
    if (event.target.value === "true") {
      LS.common.askReportConsent($("#CONFIG_CHANGE"));
    } else {
      var form = $("form[name='editReportingConsent']");
      $.ajax({
        url: form.prop('action'),
        type: form.prop('method'),
        data: form.serialize()
      });
    }
  }

  $("input[name='overrideAverageRedeployTime']").change(function() {
    document.getElementById("averageRedeployTime").disabled = !$(this).is(':checked');
  });
})();
